Page MenuHomePhabricator

Make it more obvious that users can remove their e-mail address
Closed, ResolvedPublic

Description

Currently, Special:ChangeEmail only allows users to change their e-mail to something else. They should also be able to remove the e-mail.

See also

Event Timeline

He7d3r created this task.May 11 2015, 10:34 PM
He7d3r updated the task description. (Show Details)
He7d3r raised the priority of this task from to Needs Triage.
He7d3r added a subscriber: He7d3r.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 11 2015, 10:34 PM
He7d3r updated the task description. (Show Details)May 11 2015, 10:35 PM
He7d3r set Security to None.
Teles added a subscriber: Teles.May 12 2015, 12:21 AM
Aklapper triaged this task as Low priority.May 20 2015, 4:30 PM
Aklapper edited projects, added MediaWiki-User-preferences, MediaWiki-Email; removed Mail.

Are users not able to remove their email because no one has cared to implement it yet? or is there a deeper reason for this?

Looks like if you leave a blank "New email address" field in Special:ChangeEmail, you can remove your email address.. This definitely needs to be made more obvious.

Glaisher renamed this task from Allow users to remove their e-mail address to Make it more obvious that users can remove their e-mail address.Jun 19 2015, 5:57 PM
Glaisher raised the priority of this task from Low to Normal.

Change 241686 had a related patch set uploaded (by Glaisher):
Make it more obvious that users can remove their email address

https://gerrit.wikimedia.org/r/241686

Change 241709 had a related patch set uploaded (by BryanDavis):
Give instructions on removing email address from account

https://gerrit.wikimedia.org/r/241709

Does a change to NO email address still need to be confirmed by the user at the original address?

If we are going to make the removal of an email address more visible/obvious, then we also need to make evident the consequences of such an action, ie.

By removing this email address you will no longer be able to retrieve or reset a lost password.
Such accounts will not be able to be resurrected or reallocated should you lose your password.

Internal note that this presumably makes it easier to vandalise an account, in that if someone gets into the account then changes it to nothing that there is less ability to identify its previous target?

Change 241709 merged by jenkins-bot:
Give instructions on removing email address from account

https://gerrit.wikimedia.org/r/241709

scfc added a subscriber: scfc.Sep 29 2015, 10:46 AM

@Billinghurst: If the mail address is not removed, but changed to something different, is the original recipient notified about that? Otherwise you would have the same threat there.

yes @scfc, with a change of email address, there is the requirement to confirm the new email address from the originating email address

A note about the consequences of removing the email address will also be shown to the user.

Change 241686 merged by jenkins-bot:
Make it more obvious that users can remove their email address

https://gerrit.wikimedia.org/r/241686

Glaisher closed this task as Resolved.Sep 29 2015, 4:32 PM
Glaisher claimed this task.